Bug 173011 - Kernel doesn't enable DMA by default for DVD-ROM drive
Summary: Kernel doesn't enable DMA by default for DVD-ROM drive
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: 4
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-11-12 09:20 UTC by Neil Bird
Modified: 2015-01-04 22:23 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-17 09:53:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Neil Bird 2005-11-12 09:20:22 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-GB; rv:1.7.12) Gecko/20051001 Fedora/1.0.7-1.1.fc4.1fnx Firefox/1.0.7

Description of problem:
I used to use /etc/sysconfig/harddiskhd? to ensure DMA was enabled on my devices;  recently [FC4] this has been deprecated in favour of the kernel correctly detecting defaults.

The only thing I've found to be wrong is that my DVD-ROM drive doesn't get DMA enabled by default;  it was suggested on the fedora list that this be flagged as a kernel bug report.


Version-Release number of selected component (if applicable):
2.6.13-1.1526_FC4smp

How reproducible:
Always

Steps to Reproduce:
1. hdparm /dev/hdb

  

Actual Results:  using_dma = 0 (off)

Expected Results:  using_dma = 1 (on)

Additional info:


lspci:

00:00.0 Host bridge: Intel Corporation 82865G/PE/P DRAM Controller/Host-Hub Interface (rev 02)
00:01.0 PCI bridge: Intel Corporation 82865G/PE/P PCI to AGP Controller (rev 02)
00:1d.0 USB Controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI Controller #1 (rev 02)
00:1d.1 USB Controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI Controller #2 (rev 02)
00:1d.2 USB Controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI Controller #3 (rev 02)
00:1d.3 USB Controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI Controller #4 (rev 02)
00:1d.7 USB Controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB2 EHCI Controller (rev 02)
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev c2)
00:1f.0 ISA bridge: Intel Corporation 82801EB/ER (ICH5/ICH5R) LPC Interface Bridge (rev 02)
00:1f.1 IDE interface: Intel Corporation 82801EB/ER (ICH5/ICH5R) IDE Controller (rev 02)
00:1f.2 IDE interface: Intel Corporation 82801EB (ICH5) SATA Controller (rev 02)
00:1f.3 SMBus: Intel Corporation 82801EB/ER (ICH5/ICH5R) SMBus Controller (rev 02)
00:1f.5 Multimedia audio controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) AC'97 Audio Controller (rev 02)
01:00.0 VGA compatible controller: nVidia Corporation NV34 [GeForce FX 5200 Ultra] (rev a1)
02:01.0 FireWire (IEEE 1394): Texas Instruments TSB43AB23 IEEE-1394a-2000 Controller (PHY/Link)
02:02.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL-8139/8139C/8139C+ (rev 10)


Device is "DVD-RW IDE1008" (hwbrowser).


lshw-gui gives:

DVD-RW IDE1008
/0/e8000000/1f.1/0/1

product: DVD-RW IDE1008
bus info: ide@0.1
logical name: /dev/hdb
capabilities:
	ATAPI packet device


Anything else that might be useful, please ask.

Comment 1 Dave Jones 2005-11-12 23:37:18 UTC
the 2.6.14 update still has this problem ?


Comment 2 Neil Bird 2005-11-14 08:13:32 UTC
Currently awaiting 3rd. party kmdl RPMs before using 2.6.14;  will report back.

Comment 3 Neil Bird 2005-11-17 09:53:52 UTC
Yep, got 2.6.14 last night and it seems to fix it;  all's DMA enabled OK now.

Feel free to close this bug;  I'd do it myself but I'm not sure of the protocol.


Comment 4 Neil Bird 2005-11-17 09:56:51 UTC
Oops.  Sorry, didn't mean to close it myself :-/


Note You need to log in before you can comment on or make changes to this bug.